#include <iostream>
#include <boost/range/counting_range.hpp>

int32_t nsum(int32_t i = 0)
{
	int32_t s = 0;
	for ( auto r : boost::counting_range( 1, i ) )
	{
		s += r;
	}
	return s;
}

int main(int argc, char* argv[])
{
	auto s = nsum( argc );
	std::cout << s << std::endl;
	return ( s );
}

